package com.cn.fdapfe.biz.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cn.fdapfe.common.annotation.Excel;
import lombok.Data;

@Data
@TableName("model_params_config")
public class ParamsConfig extends BasePO{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @TableId(value = "param_id")
    @Excel(name = "主键ID")
    private String paramId;
    /**
     * 所属模型id
     */
    @Excel(name = "所属模型id")
    @TableField(value ="model_id")
    private String modelId;
    /** 字段名称 */
    @Excel(name = "字段名称")
    @TableField(value ="param_name")
    private String paramName;
    /** 中文名称 */
    @Excel(name = "中文名称")
    @TableField(value ="param_chinese_name")
    private String paramChineseName;
    /** 参数类型 */
    @Excel(name = "参数类型")
    @TableField(value ="param_type")
    private String paramType;
    /** 排序号 */
    @Excel(name = "排序号")
    @TableField(value ="param_sort")
    private String paramSort;
    /** 默认值 */
    @Excel(name = "默认值")
    @TableField(value ="param_default_value")
    private String paramDefaultValue;
    /** 参数说明 */
    @Excel(name = "参数说明")
    @TableField(value ="param_description")
    private String paramDescription;
    /** 是否必填 */
    @Excel(name = "是否必填")
    @TableField(value ="is_required")
    private Boolean isRequired;
}
